function goto_hello_world() {
	ClearFunctions();
	
	AddSlider("Shapes","Random","Rect","Oval","Line","Plot");
	AddSlider("Blend","Normal","Additive","Multiply");
	
	AddComment("Hello World.");
	AddComment("Happy Happy Happy");
	StartGenerator();
}

function hello_world() {
	// The main index.html page handles a lot of the stuff, so you only have to concentrate on what's being drawn.
	// All x and y co-ordinates are offset to the current "square".
	// w and h are the width and height of the square, with anything outside of 0,0-w,h being chopped off.

	ResetDraw();	// You can use this at any time to reset all the drawing values.
	
	SetBlend(0);	// = Standard everyday alpha blend.
	if (Param(2)==1) {SetBlend(2);}		// Different blend modes, based on the second slider
	if (Param(2)==2) {SetBlend(3);}		// There are more blend modes (see SetBlend in the index.html) but .. They're quirky!!


	many=w;	// Draw more random objects based on the width of the square.

	for (n=0;n<many;n++) {	// A simple for-loop
	
		t=Rand(1,4); if (Param(1)>0) {t=Param(1);}	// Select, based on the first slider's value
		
		// Colour
		Hue=Rand(0,360);	// Random numbers
		Sat=Rnd(0.5,1.0);	// Random Floating point
		Light=0.5;			// Specific Value
		
		InkRot(Hue,Sat,Light);		// InkRot sets current drawing colour based on Hue, Sat, Light, where Light 0.5 = "The Hue", 1.0 = White, 0 = Black, and everything inbetween.
									// You can also use HSV2RGB(Hue,Sat,Light), but I like the name InkRot!!
		SetAlpha(0.5);				// Alpha!!
		
		// Drawing!
		if (t==1) {Rect(Rand(0,w),Rand(0,h),10,10);}
		if (t==2) {Oval(Rand(0,w),Rand(0,h),10,10);}
		if (t==3) {Line(Rand(0,w),Rand(0,h),Rand(0,w),Rand(0,h));}
		if (t==4) {Plot(Rand(0,w),Rand(0,h));}
	}
	
	SetCol(255,255,255,0.9);	// You can specifically set a colour, with or without a 0.0-1.0 Alpha

	// Top left shapes
	Rect(20,20,30,30);		// Rect normally draws from top left.
	Rect(50,20,30,30,1);	// Add the final ,1 parameter to center it.
	Oval(80,20,30,30);		// Oval always draws centered.
	Oval(110,20,30,30,Rand(3,8));	// The final parameter is how many sides the "Oval" has.  (eg, 3 draws triangles, 360 draws PERFECT circles but will be slow.)
	
	// Centered Rectangle
	SetCol(255,0,0,1);
	Rect(w*0.5,h*0.5,20,20,1);	// w and h are the width and height of the requested size.  Draw between 0-w and 0-h, and try to use percentages and things as you go, so you can fit everything into the square.
	
	// Bottom Bar
	SetCol(180,64,64,0.5);
	Rect(0,h-20,w,20);
	
	SetCol(255,100,100,1);
	SetThick(4);	// Thick sets the thickness of Lines
	Line(0,h-20,w,h-20);

	// Text example
	SetCol(255,255,255,1);
	SetFontSize(24);	// If you really want to, you can SetFont("FontName",size), but keep in mind this is a browser, so lots of fonts simply won't work on everyone's systems.
	Text(w-2,h-8,"Hello World",2);	// Text can be quirky as hell, so ..  Probably best avoided!
									// It's also vertically aligned to the center, because .. CSS!!!

}